API · Listar afiliados

API v1

Una herramienta del MCP envuelve esta operación: Tarjetas guardadas y cobros masivos.

POST /api/v1/collect/get/affiliates

Qué hace#

Listar afiliados.

Autenticación#

Servidor: https://app.tilopay.com. Requiere el token bearer del API en Authorization: Bearer <token> y la llave de la integración en el cuerpo (key).

Obtener el token del API.

Parámetros#

keystringrequerido#

Llave de la integración.

groupinteger#

ID del grupo; 0 = todos.

Ejemplo de request#

<api_key> es el marcador de tu llave de integración.

{
  "key": "<api_key>",
  "group": 0
}

Respuesta#

affiliates contiene los datos del afiliado y sus límites diarios y mensuales.

statusunknown#

status.

errorsunknown#

errors.

affiliatesarray#

affiliates.

{
  "status": 200,
  "errors": "",
  "affiliates": [
    {
      "id": 2,
      "name": "Juan",
      "lastname": "Lopez",
      "email": "cliente@ejemplo.com",
      "company": "JuanSA",
      "phone": "88778878",
      "address": "San José, 100 m este",
      "city": "San Jose",
      "state": "CR-SJO",
      "zipcode": "10101",
      "country": "CR",
      "currency": "USD",
      "amount_max_daily": "1000.00",
      "amount_max_month": "1250.00",
      "base_amount": "10.00",
      "status": 1,
      "created_at": "2024-01-16T22:45:00.000000Z"
    },
    {
      "id": 14,
      "name": "Ramon",
      "lastname": "Perez",
      "email": "otro@ejemplo.com",
      "company": null,
      "phone": null,
      "address": "San José",
      "city": "Alajuela",
      "state": "CR-A",
      "zipcode": "10101",
      "country": "CR",
      "currency": "USD",
      "amount_max_daily": "100.00",
      "amount_max_month": "1000.00",
      "base_amount": "0.00",
      "status": 1,
      "created_at": "2024-02-27T18:19:31.000000Z"
    }
  ]
}
{
  "type": "object",
  "properties": {
    "status": {
      "type": "integer"
    },
    "errors": {
      "type": "string"
    },
    "affiliates": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer"
          },
          "name": {
            "type": "string"
          },
          "lastname": {
            "type": "string"
          },
          "email": {
            "type": "string"
          },
          "company": {
            "type": [
              "string",
              "null"
            ]
          },
          "phone": {
            "type": [
              "string",
              "null"
            ]
          },
          "address": {
            "type": "string"
          },
          "city": {
            "type": "string"
          },
          "state": {
            "type": "string"
          },
          "zipcode": {
            "type": "string"
          },
          "country": {
            "type": "string"
          },
          "currency": {
            "type": "string"
          },
          "amount_max_daily": {
            "type": "string"
          },
          "amount_max_month": {
            "type": "string"
          },
          "base_amount": {
            "type": "string"
          },
          "status": {
            "type": "integer"
          },
          "created_at": {
            "type": "string"
          }
        }
      }
    }
  }
}

Última verificación: 2026-10-20

Ver como Markdown crudo